### Method

# GUPnP DeviceInfo get_device_type

#### Declaration [src]

    const char*
    gupnp_device_info_get_device_type (
      GUPnPDeviceInfo* info
    )

#### Description [src]

Get the UPnP device type of this `GUPnPDeviceInfo`, e.g. `urn:schemas-upnp-org:device:InternetGatewayDevice:1`.

Gets property | `GUPnP.DeviceInfo:device-type`

#### Return value

Type: `const char*`

A constant string, or `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.